# 86. Consulta: Obter "Farms"

O seguinte descreve a consulta básica GraphQL usada para recuperar todas as "Farms" acessíveis ao usuário:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FetchAllFarms {
  getFarms {
    uuid
    userUuid
    nome
    farmOwnership
    externalKey
    ownerEmail
    dataDeCriação
    updatedDate
  }
}
```

{% endcode %}

Além de outros parâmetros, você pode usar o `farmUuids` e `externalKeys` filtros para personalizar sua resposta. Esses filtros podem ser aplicados independentemente ou em combinação, permitindo uma recuperação de dados mais direcionada.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FetchAllFarmsWithFilters {
  getFarms(
    farmUuids:["<placeholder_of_farm_uuid>"], 
    externalKeys:["<placeholder_of_external_key>"]
  ) {
    uuid
    userUuid
    nome
    farmOwnership
    externalKey
    ownerEmail
    dataDeCriação
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/docs-da-api/visao-geral-das-solicitacoes-da-api-do-geopard/86.-consulta-obter-farms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
